log4shib 2.0.0

Classes | Typedefs | Functions
log4shib::threading Namespace Reference

## Classes
class | MSMutex
| A simple object wrapper around CreateMutex() and DeleteMutex() More...
class | MSScopedLock
| A simple object wrapper around WaitForSingleObject() and ReleaseMutex() More...
class | Mutex
class | ScopedLock
| definition of ScopedLock; More...
class | ThreadLocalDataHolder
| This class holds Thread local data of type T, i.e. More...

## Typedefs
typedef boost::mutex | Mutex
| Dummy type 'int' for Mutex. More...
typedef boost::mutex::scoped_lock | ScopedLock
| Dummy type 'int' defintion of ScopedLock;. More...

## Functions
static std::string | getThreadId ()
| Return an identifier for the current thread. More...

## Typedef Documentation

## ◆ Mutex

typedef omni_mutex log4shib::threading::Mutex

Dummy type 'int' for Mutex.

A simple, non recursive Mutex.

Yes, this adds a bit of overhead in the for of extra memory, but unfortunately 'void' is illegal.

Equivalent to Boost.Threads boost::mutex

## ◆ ScopedLock

typedef omni_mutex_lock log4shib::threading::ScopedLock

Dummy type 'int' defintion of ScopedLock;.

A simple "resource acquisition is initialization" idiom type lock for Mutex.

Equivalent to Boost.Threads boost::scoped_lock.

## Function Documentation

## ◆ getThreadId()

std::string log4shib::threading::getThreadId | ( |  | ) |
| static

Return an identifier for the current thread.

returns the thread ID

What these identifiers look like is completely up to the underlying thread library.

What these identifiers look like is completely up to the underlying thread library. OmniThreads returns the POSIX thread Id.